Subject: Re: bug#21391: 24.5; `thing-at-point' should return a string

From: Dmitry Gutov <[email-masked]>
Date: Fri, 11 Nov 2016 16:46:14 +0200

On 11.11.2016 16:35, Eli Zaretskii wrote:

>> The current implementation makes the things harder to understand.
>> Currently one user need to read the source code to know the actual
>> type this function returns.
>
> If that's a problem, let's improve the doc string (and the manual, if
> needed) to make this more clear.

Improve how? By saying that the function behaves in a variety of ways, 
solely depending on which `thing' it is passed?

That won't make it much clearer, or make it easier to follow code that 
uses `thing-at-point'.